[PATCH util/modular] release.sh: split tarball checking from tag/section checking.

Peter Hutterer peter.hutterer at who-t.net
Sun Jun 20 17:59:45 PDT 2010


Print out a more meaningful message than "incorrect parameters" if the
tarballs weren't found.

Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
---
 release.sh |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/release.sh b/release.sh
index ec52f9a..9570d0e 100755
--- a/release.sh
+++ b/release.sh
@@ -180,10 +180,15 @@ announce="$tarball_dir/$modulever.announce"
 
 echo "checking parameters"
 if ! [ -f "$tarball_dir/$tarbz2" ] ||
-   ! [ -f "$tarball_dir/$targz" ] ||
-     [ -z "$tag_previous" ] ||
-     [ -z "$section" ]; then
-    echo "error: incorrect parameters!"
+   ! [ -f "$tarball_dir/$targz" ]; then
+    echo "error: tarballs not found.  Did you run make dist?"
+    usage
+    exit 1
+fi
+
+if [ -z "$tag_previous" ] ||
+   [ -z "$section" ]; then
+    echo "error: previous tag or section not found."
     usage
     exit 1
 fi
-- 
1.7.0.1



More information about the xorg-devel mailing list